import { TouchBaseSchema } from '@isa/common/data-access';
import { z } from 'zod';

/**
 * Loyalty DTO schema
 */
export const LoyaltySchema = z
  .object({
    code: z.string().describe('Code').optional(),
    label: z.string().describe('Bezeichner').optional(),
    type: z.string().describe('Art').optional(),
    value: z.number().describe('Wert').optional(),
  })
  .extend(TouchBaseSchema.shape);

export type Loyalty = z.infer<typeof LoyaltySchema>;
